#-*- coding: utf-8 -*-
##########################################################################
# Eole - 2020
# Copyright Pole de competence Eole (Ministere Education - Academie Dijon)
# Licence CeCill cd /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# aaf.py
#
# Creation de la base de donnees pour eole-aaf
##########################################################################
"""
    Creation de la base aaf
"""
from eolesql.db_test import db_exists

TABLEFILENAMES = ['/usr/share/eole/mysql/eole-aaf/gen/eoleaaf.sql']

def test():
    """
        test l'existence de la base aaf
    """
    return not db_exists('eoleaaf')

def pregen_func(db_handler):
    """
        Fonction exécutée avant la génération si le test est bon
    """
    db_handler.simple_query("CREATE DATABASE eoleaaf CHARACTER SET utf8;")
    db_handler.simple_query("CREATE USER IF NOT EXISTS 'eoleaaf'@'localhost' IDENTIFIED BY 'eoleaaf';")
    db_handler.simple_query("GRANT ALL PRIVILEGES ON eoleaaf.* to 'eoleaaf'@'localhost';")
    db_handler.simple_query("USE eoleaaf ;")

conf_dict = dict(filenames=TABLEFILENAMES,
                 test=test,
                 inject='USE eoleaaf ;',
                 pregen=pregen_func,
                 )

